$packageName = 'dart-sdk'

$url = 'https://storage.googleapis.com/dart-archive/channels/dev/release/2.1.1-dev.2.0/sdk/dartsdk-windows-ia32-release.zip'
$url64 = 'https://storage.googleapis.com/dart-archive/channels/dev/release/2.1.1-dev.2.0/sdk/dartsdk-windows-x64-release.zip'

$unzipLocation = Get-BinRoot
$installDir = Join-Path $unzipLocation "dart-sdk"

Install-ChocolateyPath "$installDir\bin"
Install-ChocolateyPath "${env:USERPROFILE}\AppData\Roaming\Pub\Cache\bin"
$env:Path = "$($env:Path);$installDir\bin;${env:USERPROFILE}\AppData\Roaming\Pub\Cache\bin"

if (test-path $installDir) {
	Remove-Item $installDir -Recurse -Force
}

$packageArgs = @{
  packageName    = $packageName
  url            = $url
  url64bit       = $url64
  unzipLocation  = $unzipLocation
  checksum       = 'f5aca4f64c58ae856fc6366efd8c5c527d690ab006338e085155ae05141dd990'
  checksumType   = 'sha256'
  checksum64     = 'b45d7cfe2de0302d43cbe3f429b83d2f640cf16461c3d6a779867d1c314e198d'
  checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
